﻿using System;
using System.IO;
using Stimulsoft.Report;
using Stimulsoft.Report.Mobile;

namespace WebApplication1
{
    public partial class Viewer : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Page != null && !Page.IsPostBack)
            {
                var report = new StiReport();

                var templateText = File.ReadAllText(AppDomain.CurrentDomain.BaseDirectory + "\\Report\\Template.txt");

                report.LoadFromString(templateText);

                StiMobileViewer.Report = report;
            }
        }

        protected void StiMobileViewer_OnGetReportData(object sender, StiReportDataEventArgs e)
        {
            var documentText = File.ReadAllText(AppDomain.CurrentDomain.BaseDirectory + "\\Report\\Document.txt");

            e.Report.LoadPackedDocumentFromString(documentText);
        }
    }
}